Move issue to another project
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution: Invalid Affected version:

Description
Hi

| seem to have stumbled upon a bug in redmine: it seems impossible to move a single issue to another project.

What | do:
- click 'edit’ on an issue
- select different project in the drop-down menu

What happens:
- some popup shows for less than a second (so | don’t know what it says)

- the drop-down menu jumps back to the current project

What | expect:
- the drop-down menu to stay on the selected project

- move the issue to the selected project on clicking "submit"

It is, however, possible to move multiple issues to another project by "bulk-editing" them as described below:
- have a list of issues, e.g. 'View all issues' in the project list

- select >1 issue (or you will get to the same page you get to when clicking "edit" in an issue)

- rightclick, edit

- select new project

- click "submit"

| found several other people asking about similar issues in the last few years, but either no solution was provided for them, or the bug
was fixed years ago, or the issue was related to a user having multiple, conflicting roles, one allowing him to move issues, the other
not. | made sure to avoid such conflicts. References to similar issues | found but which did not seem to have a solution:

Is there a way to move issues between projects.

Did they remove the "move" issue option in Redmine 2.1.2

Move issue between projects fails if more than one proper...

How to move ticket - from inside the ticket

[Resolved] Move single issue between projects? (mentioned role-conflict issue)

#6195 (and related #12651 #6391)

#1847 (and related #7447 #2559)

System information:
I’'m running redmine on debian testing (jessie) using apache and passenger, exact versions:

redmine 3.0~20140825-1
redmine-pgsqgl 3.0~20140825-1
postgresqgl 9.4+163
postgresqgl-9.4 9.4~beta3-3
ruby-pg 0.17.1-2

ruby 1:2.1.0.4
ruby-rails 2:4.1.6-2
libapache2-mod-passenger 4.0.53-1
ruby-passenger 4.0.53-1

The server was initially set up with debian testing and the mentioned redmine-version just a few weeks ago. No migrations or
updates have been made yet. No plugins are installed.
https://www.redmine.org/boards/1/topics/17810
https://www.redmine.org/boards/1/topics/34012
https://www.redmine.org/boards/2/topics/27807
https://www.redmine.org/boards/2/topics/16789
https://www.redmine.org/boards/2/topics/37718
https://www.redmine.org/issues/6195
https://www.redmine.org/issues/12651
https://www.redmine.org/issues/6391
https://www.redmine.org/issues/1847
https://www.redmine.org/issues/7447
https://www.redmine.org/issues/2559

| tried running "script/about”, but that only returned this info:

ticket001:/usr/share/redmine# ruby script/about
script/about no longer exists, please use bin/about instead.

There is no bin/about in the debian-package though.

Is this a bug or am | doing anything wrong?

| appreciate any hint at what could be wrong and any pointer to relevant docs. Please tell me if this issue is missing information that
might help find a solution. I'm also happy about pointers regarding how to debug an issue like that properly, as | have no idea how to
go on.

History

#1 - 2014-12-31 08:02 - Toshi MARUYAMA
- Description updated

#2 - 2014-12-31 08:08 - Toshi MARUYAMA

- Status changed from New to Needs feedback

redmine 3.0~20140825-1

| don't know what it is.

| cannot reproduce on trunk r13818 Rails 4.1.

#3 - 2015-08-10 14:20 - James Cort

We're seeing the same thing - also in Debian. That popup you're seeing says "Loading..." and is on a semi-transparent grey background.

NOTE: Debian has misleading numbering. The package was taken from a snapshot of the dev branch in order to support Rails 4; the actual version
we're using doesn't really correspond to any published release of redmine.

| can't find a bug in the Debian bugtracker for this; | wonder if we are better served by ugprading to a vanilla Redmine installation.

#4 - 2015-09-07 06:47 - Toshi MARUYAMA
- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Please contact Debian team.
We are not responsible for Debian package.
https://www.redmine.org/projects/redmine/repository/svn/revisions/13818
http://www.tcpdf.org

